[proaudio] [1032] ardour tree cleanups, part2

[ Thread Index | Date Index | More lists.tuxfamily.org/proaudio Archives ]


Revision: 1032
Author:   gimpel
Date:     2007-12-14 21:40:02 +0000 (Fri, 14 Dec 2007)

Log Message:
-----------
ardour tree cleanups, part2
* rename ardour-2.0.5 and ardour-2.1 to -r0 until they are fixed
* mv agree_vst function to vst.eclass
* remove slotting (not finished yet!)
* DO NOT USE! WE CAN'T MASK!

Modified Paths:
--------------
    trunk/overlays/proaudio/media-sound/ardour/Manifest
    trunk/overlays/proaudio/media-sound/ardour/ardour-99992.ebuild

Added Paths:
-----------
    trunk/overlays/proaudio/eclass/vst.eclass
    trunk/overlays/proaudio/media-sound/ardour/ardour-2.0.5-r0.ebuild
    trunk/overlays/proaudio/media-sound/ardour/ardour-2.1-r0.ebuild
    trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.0.5-r0
    trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.1-r0

Removed Paths:
-------------
    trunk/overlays/proaudio/media-sound/ardour/ardour-2.0.5.ebuild
    trunk/overlays/proaudio/media-sound/ardour/ardour-2.1.ebuild
    trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.0.5
    trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.1


Added: trunk/overlays/proaudio/eclass/vst.eclass
===================================================================
--- trunk/overlays/proaudio/eclass/vst.eclass	                        (rev 0)
+++ trunk/overlays/proaudio/eclass/vst.eclass	2007-12-14 21:40:02 UTC (rev 1032)
@@ -0,0 +1,34 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+#
+# Original Author: Tom "gimpel" Kuther
+# Purpose: VST support handling
+#
+
+ECLASS="vst"
+INHERITED="$INHERITED $ECLASS"
+
+DEPEND="vst? ( =media-libs/vst-sdk-2.3* )
+	app-arch/zip"
+
+# returns 0 if answer is yes, 1 otherwhise
+agree_vst() {
+	local ANSWER="no"
+	einfo "Are you building ${P} for personal use (rather than distribution to others)?"
+	einfo "Type [yes/no] - (default: no)"
+	
+	read ANSWER
+	if [ "$ANSWER" == "y" ] || [ "$ANSWER" == "yes" ];then
+		einfo "OK, VST support will be enabled"
+		return 0
+	else
+		eerror "You cannot build ${P} with VST support for distribution to others."
+		eerror "It is a violation of several different licenses"
+
+		eerror "use: USE=-vst emerge ${PN}"
+		eerror "to disable vst support"
+		return 1
+	fi
+}

Modified: trunk/overlays/proaudio/media-sound/ardour/Manifest
===================================================================
--- trunk/overlays/proaudio/media-sound/ardour/Manifest	2007-12-14 20:51:40 UTC (rev 1031)
+++ trunk/overlays/proaudio/media-sound/ardour/Manifest	2007-12-14 21:40:02 UTC (rev 1032)
@@ -12,31 +12,31 @@
 SHA256 1bcefe84439243e5b57c364c4afb2570bcd643cc03316008fa57c21d5bfcd481 files/ardour-vst-support_1_1.patch 951
 DIST ardour-2.0.5.tar.bz2 2777524 RMD160 eb278fbd7121707b9b7d4dfbb1e2088ef36cb1d4 SHA1 9a3adea22c5f182832b90506cb354097c21caa4f SHA256 976b87920a3bd481b06edcbc756d1c5425397286f9b2a14546705a1f60a60848
 DIST ardour-2.1.tar.bz2 2788128 RMD160 70796eb07911c5301049fb2d2749cbaa7a04ba4d SHA1 fcfb1230b9e7ec42c0044be89a6e25aa31a75658 SHA256 160482d87d8eb2188481fc42d7f6442efe6bff38544a321a79e2e23a7aa9501b
-EBUILD ardour-2.0.5.ebuild 5346 RMD160 5a2334befc69dcdcc9f901c0881f44d5bc1f2d9f SHA1 e3694d98fe369688513deb81bf97e9c44f36695a SHA256 8c8ec1c9ae12761dd54977d8a058773ef9840e11bbba36326c40b4298905b0d1
-MD5 4aa34cf31c6ea8425652cbb5b45113b0 ardour-2.0.5.ebuild 5346
-RMD160 5a2334befc69dcdcc9f901c0881f44d5bc1f2d9f ardour-2.0.5.ebuild 5346
-SHA256 8c8ec1c9ae12761dd54977d8a058773ef9840e11bbba36326c40b4298905b0d1 ardour-2.0.5.ebuild 5346
+EBUILD ardour-2.0.5-r0.ebuild 5346 RMD160 5a2334befc69dcdcc9f901c0881f44d5bc1f2d9f SHA1 e3694d98fe369688513deb81bf97e9c44f36695a SHA256 8c8ec1c9ae12761dd54977d8a058773ef9840e11bbba36326c40b4298905b0d1
+MD5 4aa34cf31c6ea8425652cbb5b45113b0 ardour-2.0.5-r0.ebuild 5346
+RMD160 5a2334befc69dcdcc9f901c0881f44d5bc1f2d9f ardour-2.0.5-r0.ebuild 5346
+SHA256 8c8ec1c9ae12761dd54977d8a058773ef9840e11bbba36326c40b4298905b0d1 ardour-2.0.5-r0.ebuild 5346
 EBUILD ardour-2.0.99992.ebuild 5369 RMD160 ca3a8a9def57bbce50834d59e8745e33843f3cd1 SHA1 3462383d0eacd666b33ffd35622174a4d38b91e1 SHA256 a0746c9aa4298e86e21dfdee749db7fe5fe69fa7a6f7d0e2b34b98004d16507e
 MD5 95f16698b20f907a94e276b5a1cbe34b ardour-2.0.99992.ebuild 5369
 RMD160 ca3a8a9def57bbce50834d59e8745e33843f3cd1 ardour-2.0.99992.ebuild 5369
 SHA256 a0746c9aa4298e86e21dfdee749db7fe5fe69fa7a6f7d0e2b34b98004d16507e ardour-2.0.99992.ebuild 5369
-EBUILD ardour-2.1.ebuild 5346 RMD160 5a2334befc69dcdcc9f901c0881f44d5bc1f2d9f SHA1 e3694d98fe369688513deb81bf97e9c44f36695a SHA256 8c8ec1c9ae12761dd54977d8a058773ef9840e11bbba36326c40b4298905b0d1
-MD5 4aa34cf31c6ea8425652cbb5b45113b0 ardour-2.1.ebuild 5346
-RMD160 5a2334befc69dcdcc9f901c0881f44d5bc1f2d9f ardour-2.1.ebuild 5346
-SHA256 8c8ec1c9ae12761dd54977d8a058773ef9840e11bbba36326c40b4298905b0d1 ardour-2.1.ebuild 5346
-EBUILD ardour-99992.ebuild 5132 RMD160 7d2d92c59dbc5ac48c861f235d4bfbbcd975b985 SHA1 94f7c07c2823a0001e65b378ed0553d5b8fced98 SHA256 e03da9c9449adf0fad797162a4941bbe6902eacd08eabb5e901bff06e1e30313
-MD5 19fbcf8b1923fbad6189d79870dcf2d6 ardour-99992.ebuild 5132
-RMD160 7d2d92c59dbc5ac48c861f235d4bfbbcd975b985 ardour-99992.ebuild 5132
-SHA256 e03da9c9449adf0fad797162a4941bbe6902eacd08eabb5e901bff06e1e30313 ardour-99992.ebuild 5132
-MD5 0d0cc8b1632a1a118ae953a91b10c6c4 files/digest-ardour-2.0.5 244
-RMD160 63e7c1c20f4e5846cd69c8126f389b3e3411b9f3 files/digest-ardour-2.0.5 244
-SHA256 48f72afd0ddf20dad4ae33fa0df501245c84607bbec7e31cceb5a011773ee002 files/digest-ardour-2.0.5 244
+EBUILD ardour-2.1-r0.ebuild 3842 RMD160 b5134719d79fd75c3a8f957f15527c398e2f6440 SHA1 a9167c94b7b6aa7d321fe224cdff2b40163e9e81 SHA256 c0d6e551a3c9032579557f73c280a0c6b60b70ce03c81515cd594de72639099f
+MD5 54d80d6de9df0de894d84ff40bfc183a ardour-2.1-r0.ebuild 3842
+RMD160 b5134719d79fd75c3a8f957f15527c398e2f6440 ardour-2.1-r0.ebuild 3842
+SHA256 c0d6e551a3c9032579557f73c280a0c6b60b70ce03c81515cd594de72639099f ardour-2.1-r0.ebuild 3842
+EBUILD ardour-99992.ebuild 5132 RMD160 5ceaae253beb14b59275d3ae77487d8db1385e79 SHA1 4b2d203a539b483e581ef608feecf9008b62174b SHA256 539d671118f2fd4f86e7ec0a06ada4449cbee10546ef6ac7fb7f1b0be9278abf
+MD5 06cc1b63deb62c249595ff5fd3c1acde ardour-99992.ebuild 5132
+RMD160 5ceaae253beb14b59275d3ae77487d8db1385e79 ardour-99992.ebuild 5132
+SHA256 539d671118f2fd4f86e7ec0a06ada4449cbee10546ef6ac7fb7f1b0be9278abf ardour-99992.ebuild 5132
+MD5 1974df0fc585248ffa38c533e0f3a414 files/digest-ardour-2.0.5-r0 178
+RMD160 d3f3c41a635dffce3ddc3a6e08ae453ac19e1b78 files/digest-ardour-2.0.5-r0 178
+SHA256 b289c852ea5864ed5a482e32d7f0664a0f35aaaffea3a74ab3e0cf3123c44792 files/digest-ardour-2.0.5-r0 178
 MD5 d41d8cd98f00b204e9800998ecf8427e files/digest-ardour-2.0.99992 0
 RMD160 9c1185a5c5e9fc54612808977ee8f548b2258d31 files/digest-ardour-2.0.99992 0
 SHA256 e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855 files/digest-ardour-2.0.99992 0
-MD5 34a15db22902cbdd9aecc89b90a94725 files/digest-ardour-2.1 238
-RMD160 a437a96ac89954d96bb02515c380e739efebde9d files/digest-ardour-2.1 238
-SHA256 3980c175f3dbd4f97e7c7d6c444a6632da7bc6bfa98cc18f738840600b199da7 files/digest-ardour-2.1 238
+MD5 34a15db22902cbdd9aecc89b90a94725 files/digest-ardour-2.1-r0 238
+RMD160 a437a96ac89954d96bb02515c380e739efebde9d files/digest-ardour-2.1-r0 238
+SHA256 3980c175f3dbd4f97e7c7d6c444a6632da7bc6bfa98cc18f738840600b199da7 files/digest-ardour-2.1-r0 238
 MD5 d41d8cd98f00b204e9800998ecf8427e files/digest-ardour-99992 0
 RMD160 9c1185a5c5e9fc54612808977ee8f548b2258d31 files/digest-ardour-99992 0
 SHA256 e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855 files/digest-ardour-99992 0

Copied: trunk/overlays/proaudio/media-sound/ardour/ardour-2.0.5-r0.ebuild (from rev 1031, trunk/overlays/proaudio/media-sound/ardour/ardour-2.0.5.ebuild)
===================================================================
--- trunk/overlays/proaudio/media-sound/ardour/ardour-2.0.5-r0.ebuild	                        (rev 0)
+++ trunk/overlays/proaudio/media-sound/ardour/ardour-2.0.5-r0.ebuild	2007-12-14 21:40:02 UTC (rev 1032)
@@ -0,0 +1,175 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils fetch-tools scons-ccache
+
+DESCRIPTION="multi-track hard disk recording software"
+HOMEPAGE="http://ardour.org/";
+SRC_URI="http://ardour.org/files/releases/${P}.tar.bz2";
+RESTRICT="nomirror"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="nls debug sse altivec vst sys-libs"
+
+RDEPEND=">=media-libs/liblrdf-0.4.0
+	>=media-libs/raptor-1.2.0
+	>=media-libs/libart_lgpl-2.3.16
+	>=media-libs/ladspa-sdk-1.12
+	>=media-libs/libsamplerate-0.0.14
+	media-libs/liblo
+	>=dev-libs/libxml2-2.5.7
+	dev-libs/libxslt
+	>=dev-libs/glib-2.10
+	>=x11-libs/gtk+-2.6
+	>=media-sound/jack-audio-connection-kit-0.100.0
+	!=media-sound/ardour2-2*
+	vst? ( >=app-emulation/wine-0.9.5 )
+	>=gnome-base/libgnomecanvas-2.0
+	sys-libs? ( >=dev-libs/libsigc++-2.0
+		>=dev-cpp/glibmm-2.4
+		>=dev-cpp/cairomm-1.0
+		>=dev-cpp/gtkmm-2.8
+		>=dev-libs/atk-1.6
+		>=x11-libs/pango-1.4 
+		>=dev-cpp/libgnomecanvasmm-2.12.0
+		>=media-libs/libsndfile-1.0.16
+		>=media-libs/libsoundtouch-1.0 )"
+
+	# sys-libs/gdbm # no longer needed?!
+
+DEPEND="${RDEPEND}
+	>=dev-libs/boost-1.33.1
+	sys-devel/bison
+	sys-devel/autoconf
+	sys-devel/automake
+	>=dev-util/pkgconfig-0.8.0
+	>=dev-util/scons-0.96.1
+	nls? ( >=sys-devel/gettext-0.12.1 )
+	vst? ( app-arch/zip 
+		=media-libs/vst-sdk-2.3* )"
+
+pkg_setup(){
+	# issue with ACLOCAL_FLAGS if set to a wrong value
+	if [ "${#ACLOCAL_FLAGS}" -gt "0" ];then
+		ewarn "check your profile settings:"
+		ewarn "There is no need to set the ACLOCAL_FLAGS"
+		ewarn "environment variable so we unset it"
+		unset ACLOCAL_FLAGS
+	fi
+	if use sys-libs;then
+		ewarn "You are trying to use the system libraries"
+		ewarn "instead the ones provided by ardour"
+		ewarn "No upstream support for doing so. Use at your own risk!!!"
+		ewarn "To use the ardour provided libs remerge with:"
+		ewarn "USE=\"-sys-libs\" emerge =${P}"
+		
+		if ! built_with_use dev-cpp/gtkmm accessibility;then
+			eerror "To be able to use the USE flag 'sys-libs'"
+			eerror "you need to have dev-cpp/gtkmm"
+			eerror "emerged with the USE flag 'accessibility'"
+			die "dev-cpp/gtkmm is not built with the 'accessibility' USE flag"
+		fi
+		epause 3s
+	fi
+}
+
+src_unpack(){
+	# abort if user answers no to distribution of vst enabled binaries
+	if use vst;then agree_vst || die "you can not distribute ardour with vst support" ;fi
+	
+	unpack "${P}.tar.bz2"
+	cd ${S}
+	
+	# hack to use the sys-lib for sndlib also
+	use sys-libs && epatch "${FILESDIR}/ardour-syslib_mod2.patch"
+	
+	# change template dir to not overwrite ardour1 stuff
+	sed -i -e 's:\(share\)/ardour/\(templates\):\1/ardour2/\2:g' templates/SConscript || die "changing template names failed"
+	add_ccache_to_scons
+	
+	# ################
+	# adjust files for vst support
+	if use vst;then
+		# delete vst question
+		touch ${S}/.personal_use_only
+
+		# fix vst header
+		sed -ie 's@vstsdk2.3/source/common/aeffectx.h@/usr/include/vst/aeffectx.h@g' libs/fst/SConscript || die "change vst-header location"
+		#symlink the include vst include files
+		vst_tmp_dir="vstsdk2.3/source/common"
+		mkdir -p ${vst_tmp_dir}
+		cp -r  /usr/include/vst/./ ${vst_tmp_dir}
+		zip -0r  libs/fst/vstsdk2.3.zip vstsdk2.3 &>/dev/null
+		#/usr/include/vst/ libs/fst
+		#ln -s ${DISTDIR}/vstsdk2.3.zip /libs/fst/
+	fi
+	# ###############
+}
+
+src_compile() {
+	# bug 99664
+#	cd ${S}/libs/glibmm2
+	#chmod a+x autogen.sh && ./autogen.sh || die "autogen failed"
+	#cd ${S}/libs/sigc++2/
+	#chmod a+x autogen.sh && ./autogen.sh || die "autogen failed"
+#	econf || die "configure failed"
+	
+	# Required for scons to "see" intermediate install location
+	mkdir -p ${D}
+	
+	local myconf=""
+	! use altivec; myconf="${myconf} ALTIVEC=$?"
+	! use debug; myconf="${myconf} ARDOUR_DEBUG=$?"
+	! use nls; myconf="${myconf} NLS=$?" 
+	! use vst; myconf="${myconf} VST=$?" 
+	! use sys-libs; myconf="${myconf} SYSLIBS=$?"
+	! use sse; myconf="${myconf} USE_SSE_EVERYWHERE=$? BUILD_SSE_OPTIMIZATIONS=$?"
+	# static settings
+	myconf="${myconf} PREFIX=/usr KSI=0" # NLS=0"
+	einfo "${myconf}"
+
+	cd ${S}
+	scons ${myconf}	|| die "compilation failed"
+}
+
+src_install() {
+	scons DESTDIR="${D}" install || die "make install failed"
+	if use vst;then
+		newbin vst/ardour_vst.exe.so ardour2.exe.so
+		newbin vst/ardour_vst ardour2
+		fperms 644 /usr/bin/ardour2.exe.so
+		sed -i -e'/^appname/'i"export\ LD_LIBRARY_PATH=\"/usr/lib/ardour2/:\$LD_LIBRARY_PATH\"" ${D}/usr/bin/ardour2
+
+		# fix ardour file_name
+		sed -i -e 's@ardour_vst@ardour2@' ${D}/usr/bin/ardour2
+	else
+		# fix ardour path
+		sed -i -e 's:'${D}'::g' ${D}/usr/bin/ardour2
+	fi
+
+	cd DOCUMENTATION/
+	for i in `find -iname 'CVS'`;do rm -rf ${i};done
+	cd - &>/dev/null
+	dodoc  DOCUMENTATION/*
+}
+
+agree_vst() {
+	local ANSWER="no"
+	einfo "Are you building Ardour for personal use (rather than distribution to others)? [yes/no]: "
+	read ANSWER
+	if [ "$ANSWER" == "y" ] || [ "$ANSWER" == "yes" ];then
+		einfo "OK, VST support will be enabled"
+		# delete question from SConscript
+		#sed -i -e '/Make\ sure\ they/,/print\ \"OK,\ VST\ support\ will\ be\ enabled\"/d' "${S}"/SConstruct || die " failed to del vst question"
+	else
+		eerror "You cannot build Ardour with VST support for distribution to others"
+		eerror "It is a violation of several different licenses"
+	
+		eerror "use: USE=-vst emerge $P"
+		eerror "to disable vst support"
+		return 1
+	fi
+}

Deleted: trunk/overlays/proaudio/media-sound/ardour/ardour-2.0.5.ebuild
===================================================================
--- trunk/overlays/proaudio/media-sound/ardour/ardour-2.0.5.ebuild	2007-12-14 20:51:40 UTC (rev 1031)
+++ trunk/overlays/proaudio/media-sound/ardour/ardour-2.0.5.ebuild	2007-12-14 21:40:02 UTC (rev 1032)
@@ -1,175 +0,0 @@
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-inherit eutils fetch-tools scons-ccache
-
-DESCRIPTION="multi-track hard disk recording software"
-HOMEPAGE="http://ardour.org/";
-SRC_URI="http://ardour.org/files/releases/${P}.tar.bz2";
-RESTRICT="nomirror"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~x86 ~amd64"
-IUSE="nls debug sse altivec vst sys-libs"
-
-RDEPEND=">=media-libs/liblrdf-0.4.0
-	>=media-libs/raptor-1.2.0
-	>=media-libs/libart_lgpl-2.3.16
-	>=media-libs/ladspa-sdk-1.12
-	>=media-libs/libsamplerate-0.0.14
-	media-libs/liblo
-	>=dev-libs/libxml2-2.5.7
-	dev-libs/libxslt
-	>=dev-libs/glib-2.10
-	>=x11-libs/gtk+-2.6
-	>=media-sound/jack-audio-connection-kit-0.100.0
-	!=media-sound/ardour2-2*
-	vst? ( >=app-emulation/wine-0.9.5 )
-	>=gnome-base/libgnomecanvas-2.0
-	sys-libs? ( >=dev-libs/libsigc++-2.0
-		>=dev-cpp/glibmm-2.4
-		>=dev-cpp/cairomm-1.0
-		>=dev-cpp/gtkmm-2.8
-		>=dev-libs/atk-1.6
-		>=x11-libs/pango-1.4 
-		>=dev-cpp/libgnomecanvasmm-2.12.0
-		>=media-libs/libsndfile-1.0.16
-		>=media-libs/libsoundtouch-1.0 )"
-
-	# sys-libs/gdbm # no longer needed?!
-
-DEPEND="${RDEPEND}
-	>=dev-libs/boost-1.33.1
-	sys-devel/bison
-	sys-devel/autoconf
-	sys-devel/automake
-	>=dev-util/pkgconfig-0.8.0
-	>=dev-util/scons-0.96.1
-	nls? ( >=sys-devel/gettext-0.12.1 )
-	vst? ( app-arch/zip 
-		=media-libs/vst-sdk-2.3* )"
-
-pkg_setup(){
-	# issue with ACLOCAL_FLAGS if set to a wrong value
-	if [ "${#ACLOCAL_FLAGS}" -gt "0" ];then
-		ewarn "check your profile settings:"
-		ewarn "There is no need to set the ACLOCAL_FLAGS"
-		ewarn "environment variable so we unset it"
-		unset ACLOCAL_FLAGS
-	fi
-	if use sys-libs;then
-		ewarn "You are trying to use the system libraries"
-		ewarn "instead the ones provided by ardour"
-		ewarn "No upstream support for doing so. Use at your own risk!!!"
-		ewarn "To use the ardour provided libs remerge with:"
-		ewarn "USE=\"-sys-libs\" emerge =${P}"
-		
-		if ! built_with_use dev-cpp/gtkmm accessibility;then
-			eerror "To be able to use the USE flag 'sys-libs'"
-			eerror "you need to have dev-cpp/gtkmm"
-			eerror "emerged with the USE flag 'accessibility'"
-			die "dev-cpp/gtkmm is not built with the 'accessibility' USE flag"
-		fi
-		epause 3s
-	fi
-}
-
-src_unpack(){
-	# abort if user answers no to distribution of vst enabled binaries
-	if use vst;then agree_vst || die "you can not distribute ardour with vst support" ;fi
-	
-	unpack "${P}.tar.bz2"
-	cd ${S}
-	
-	# hack to use the sys-lib for sndlib also
-	use sys-libs && epatch "${FILESDIR}/ardour-syslib_mod2.patch"
-	
-	# change template dir to not overwrite ardour1 stuff
-	sed -i -e 's:\(share\)/ardour/\(templates\):\1/ardour2/\2:g' templates/SConscript || die "changing template names failed"
-	add_ccache_to_scons
-	
-	# ################
-	# adjust files for vst support
-	if use vst;then
-		# delete vst question
-		touch ${S}/.personal_use_only
-
-		# fix vst header
-		sed -ie 's@vstsdk2.3/source/common/aeffectx.h@/usr/include/vst/aeffectx.h@g' libs/fst/SConscript || die "change vst-header location"
-		#symlink the include vst include files
-		vst_tmp_dir="vstsdk2.3/source/common"
-		mkdir -p ${vst_tmp_dir}
-		cp -r  /usr/include/vst/./ ${vst_tmp_dir}
-		zip -0r  libs/fst/vstsdk2.3.zip vstsdk2.3 &>/dev/null
-		#/usr/include/vst/ libs/fst
-		#ln -s ${DISTDIR}/vstsdk2.3.zip /libs/fst/
-	fi
-	# ###############
-}
-
-src_compile() {
-	# bug 99664
-#	cd ${S}/libs/glibmm2
-	#chmod a+x autogen.sh && ./autogen.sh || die "autogen failed"
-	#cd ${S}/libs/sigc++2/
-	#chmod a+x autogen.sh && ./autogen.sh || die "autogen failed"
-#	econf || die "configure failed"
-	
-	# Required for scons to "see" intermediate install location
-	mkdir -p ${D}
-	
-	local myconf=""
-	! use altivec; myconf="${myconf} ALTIVEC=$?"
-	! use debug; myconf="${myconf} ARDOUR_DEBUG=$?"
-	! use nls; myconf="${myconf} NLS=$?" 
-	! use vst; myconf="${myconf} VST=$?" 
-	! use sys-libs; myconf="${myconf} SYSLIBS=$?"
-	! use sse; myconf="${myconf} USE_SSE_EVERYWHERE=$? BUILD_SSE_OPTIMIZATIONS=$?"
-	# static settings
-	myconf="${myconf} PREFIX=/usr KSI=0" # NLS=0"
-	einfo "${myconf}"
-
-	cd ${S}
-	scons ${myconf}	|| die "compilation failed"
-}
-
-src_install() {
-	scons DESTDIR="${D}" install || die "make install failed"
-	if use vst;then
-		newbin vst/ardour_vst.exe.so ardour2.exe.so
-		newbin vst/ardour_vst ardour2
-		fperms 644 /usr/bin/ardour2.exe.so
-		sed -i -e'/^appname/'i"export\ LD_LIBRARY_PATH=\"/usr/lib/ardour2/:\$LD_LIBRARY_PATH\"" ${D}/usr/bin/ardour2
-
-		# fix ardour file_name
-		sed -i -e 's@ardour_vst@ardour2@' ${D}/usr/bin/ardour2
-	else
-		# fix ardour path
-		sed -i -e 's:'${D}'::g' ${D}/usr/bin/ardour2
-	fi
-
-	cd DOCUMENTATION/
-	for i in `find -iname 'CVS'`;do rm -rf ${i};done
-	cd - &>/dev/null
-	dodoc  DOCUMENTATION/*
-}
-
-agree_vst() {
-	local ANSWER="no"
-	einfo "Are you building Ardour for personal use (rather than distribution to others)? [yes/no]: "
-	read ANSWER
-	if [ "$ANSWER" == "y" ] || [ "$ANSWER" == "yes" ];then
-		einfo "OK, VST support will be enabled"
-		# delete question from SConscript
-		#sed -i -e '/Make\ sure\ they/,/print\ \"OK,\ VST\ support\ will\ be\ enabled\"/d' "${S}"/SConstruct || die " failed to del vst question"
-	else
-		eerror "You cannot build Ardour with VST support for distribution to others"
-		eerror "It is a violation of several different licenses"
-	
-		eerror "use: USE=-vst emerge $P"
-		eerror "to disable vst support"
-		return 1
-	fi
-}

Copied: trunk/overlays/proaudio/media-sound/ardour/ardour-2.1-r0.ebuild (from rev 1031, trunk/overlays/proaudio/media-sound/ardour/ardour-2.1.ebuild)
===================================================================
--- trunk/overlays/proaudio/media-sound/ardour/ardour-2.1-r0.ebuild	                        (rev 0)
+++ trunk/overlays/proaudio/media-sound/ardour/ardour-2.1-r0.ebuild	2007-12-14 21:40:02 UTC (rev 1032)
@@ -0,0 +1,135 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils fetch-tools scons-ccache vst
+
+DESCRIPTION="multi-track hard disk recording software"
+HOMEPAGE="http://ardour.org/";
+SRC_URI="http://ardour.org/files/releases/${P}.tar.bz2";
+RESTRICT="nomirror"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="nls debug sse altivec vst sys-libs"
+
+RDEPEND=">=media-libs/liblrdf-0.4.0
+	>=media-libs/raptor-1.2.0
+	>=media-libs/libart_lgpl-2.3.16
+	>=media-libs/ladspa-sdk-1.12
+	>=media-libs/libsamplerate-0.0.14
+	media-libs/liblo
+	>=dev-libs/libxml2-2.5.7
+	dev-libs/libxslt
+	>=dev-libs/glib-2.10
+	>=x11-libs/gtk+-2.6
+	>=media-sound/jack-audio-connection-kit-0.100.0
+	!=media-sound/ardour2-2*
+	vst? ( >=app-emulation/wine-0.9.5 )
+	>=gnome-base/libgnomecanvas-2.0
+	sys-libs? ( >=dev-libs/libsigc++-2.0
+		>=dev-cpp/glibmm-2.4
+		>=dev-cpp/cairomm-1.0
+		>=dev-cpp/gtkmm-2.8
+		>=dev-libs/atk-1.6
+		>=x11-libs/pango-1.4 
+		>=dev-cpp/libgnomecanvasmm-2.12.0
+		>=media-libs/libsndfile-1.0.16
+		>=media-libs/libsoundtouch-1.0 )"
+
+	# sys-libs/gdbm # no longer needed?!
+
+DEPEND="${RDEPEND}
+	>=dev-libs/boost-1.33.1
+	sys-devel/bison
+	sys-devel/autoconf
+	sys-devel/automake
+	>=dev-util/pkgconfig-0.8.0
+	>=dev-util/scons-0.96.1
+	nls? ( >=sys-devel/gettext-0.12.1 )"
+pkg_setup(){
+	# issue with ACLOCAL_FLAGS if set to a wrong value
+	if [ "${#ACLOCAL_FLAGS}" -gt "0" ];then
+		ewarn "check your profile settings:"
+		ewarn "There is no need to set the ACLOCAL_FLAGS"
+		ewarn "environment variable so we unset it"
+		unset ACLOCAL_FLAGS
+	fi
+	if use sys-libs;then
+		ewarn "You are trying to use the system libraries"
+		ewarn "instead the ones provided by ardour"
+		ewarn "No upstream support for doing so. Use at your own risk!!!"
+		ewarn "To use the ardour provided libs remerge with:"
+		ewarn "USE=\"-sys-libs\" emerge =${P}"
+		
+		if ! built_with_use dev-cpp/gtkmm accessibility;then
+			eerror "To be able to use the USE flag 'sys-libs'"
+			eerror "you need to have dev-cpp/gtkmm"
+			eerror "emerged with the USE flag 'accessibility'"
+			die "dev-cpp/gtkmm is not built with the 'accessibility' USE flag"
+		fi
+		epause 3s
+	fi
+}
+
+src_unpack(){
+	# abort if user answers no to distribution of vst enabled binaries
+	if use vst;then agree_vst || die "you can not distribute ardour with vst support" ;fi
+	
+	unpack ${A}
+	cd "${S}"
+	
+	# hack to use the sys-lib for sndlib also
+	use sys-libs && epatch "${FILESDIR}/ardour-syslib_mod2.patch"
+	
+	add_ccache_to_scons
+	
+	# adjust files for vst support
+	if use vst;then
+		# delete vst question
+		touch ${S}/.personal_use_only
+
+		# fix vst header
+		sed -ie	's@vstsdk2.3/source/common/aeffectx.h@/usr/include/vst/aeffectx.h@g' \
+			libs/fst/SConscript || die "change vst-header location"
+		#symlink the include vst include files
+		vst_tmp_dir="vstsdk2.3/source/common"
+		mkdir -p ${vst_tmp_dir}
+		cp -r  /usr/include/vst/./ ${vst_tmp_dir}
+		zip -0r  libs/fst/vstsdk2.3.zip vstsdk2.3 &>/dev/null
+	fi
+}
+
+src_compile() {
+	# Required for scons to "see" intermediate install location
+	mkdir -p ${D}
+	
+	local myconf=""
+	! use altivec; myconf="${myconf} ALTIVEC=$?"
+	! use debug; myconf="${myconf} ARDOUR_DEBUG=$?"
+	! use nls; myconf="${myconf} NLS=$?" 
+	! use vst; myconf="${myconf} VST=$?" 
+	! use sys-libs; myconf="${myconf} SYSLIBS=$?"
+	! use sse; myconf="${myconf} USE_SSE_EVERYWHERE=$? BUILD_SSE_OPTIMIZATIONS=$?"
+	# static settings
+	myconf="${myconf} PREFIX=/usr KSI=0"
+	einfo "Running scons ${myconf}"
+
+	cd ${S}
+	scons ${myconf}	|| die "compilation failed"
+}
+
+src_install() {
+	scons DESTDIR="${D}" install || die "make install failed"
+	if use vst;then
+		dobin vst/ardour_vst.exe.so
+		dobin vst/ardour_vst
+		fperms 644 /usr/bin/ardour.exe.so
+	fi
+
+	cd DOCUMENTATION/
+	for i in `find -iname 'CVS'`;do rm -rf ${i};done
+	cd - &>/dev/null
+	dodoc  DOCUMENTATION/*
+}

Deleted: trunk/overlays/proaudio/media-sound/ardour/ardour-2.1.ebuild
===================================================================
--- trunk/overlays/proaudio/media-sound/ardour/ardour-2.1.ebuild	2007-12-14 20:51:40 UTC (rev 1031)
+++ trunk/overlays/proaudio/media-sound/ardour/ardour-2.1.ebuild	2007-12-14 21:40:02 UTC (rev 1032)
@@ -1,175 +0,0 @@
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-inherit eutils fetch-tools scons-ccache
-
-DESCRIPTION="multi-track hard disk recording software"
-HOMEPAGE="http://ardour.org/";
-SRC_URI="http://ardour.org/files/releases/${P}.tar.bz2";
-RESTRICT="nomirror"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~x86 ~amd64"
-IUSE="nls debug sse altivec vst sys-libs"
-
-RDEPEND=">=media-libs/liblrdf-0.4.0
-	>=media-libs/raptor-1.2.0
-	>=media-libs/libart_lgpl-2.3.16
-	>=media-libs/ladspa-sdk-1.12
-	>=media-libs/libsamplerate-0.0.14
-	media-libs/liblo
-	>=dev-libs/libxml2-2.5.7
-	dev-libs/libxslt
-	>=dev-libs/glib-2.10
-	>=x11-libs/gtk+-2.6
-	>=media-sound/jack-audio-connection-kit-0.100.0
-	!=media-sound/ardour2-2*
-	vst? ( >=app-emulation/wine-0.9.5 )
-	>=gnome-base/libgnomecanvas-2.0
-	sys-libs? ( >=dev-libs/libsigc++-2.0
-		>=dev-cpp/glibmm-2.4
-		>=dev-cpp/cairomm-1.0
-		>=dev-cpp/gtkmm-2.8
-		>=dev-libs/atk-1.6
-		>=x11-libs/pango-1.4 
-		>=dev-cpp/libgnomecanvasmm-2.12.0
-		>=media-libs/libsndfile-1.0.16
-		>=media-libs/libsoundtouch-1.0 )"
-
-	# sys-libs/gdbm # no longer needed?!
-
-DEPEND="${RDEPEND}
-	>=dev-libs/boost-1.33.1
-	sys-devel/bison
-	sys-devel/autoconf
-	sys-devel/automake
-	>=dev-util/pkgconfig-0.8.0
-	>=dev-util/scons-0.96.1
-	nls? ( >=sys-devel/gettext-0.12.1 )
-	vst? ( app-arch/zip 
-		=media-libs/vst-sdk-2.3* )"
-
-pkg_setup(){
-	# issue with ACLOCAL_FLAGS if set to a wrong value
-	if [ "${#ACLOCAL_FLAGS}" -gt "0" ];then
-		ewarn "check your profile settings:"
-		ewarn "There is no need to set the ACLOCAL_FLAGS"
-		ewarn "environment variable so we unset it"
-		unset ACLOCAL_FLAGS
-	fi
-	if use sys-libs;then
-		ewarn "You are trying to use the system libraries"
-		ewarn "instead the ones provided by ardour"
-		ewarn "No upstream support for doing so. Use at your own risk!!!"
-		ewarn "To use the ardour provided libs remerge with:"
-		ewarn "USE=\"-sys-libs\" emerge =${P}"
-		
-		if ! built_with_use dev-cpp/gtkmm accessibility;then
-			eerror "To be able to use the USE flag 'sys-libs'"
-			eerror "you need to have dev-cpp/gtkmm"
-			eerror "emerged with the USE flag 'accessibility'"
-			die "dev-cpp/gtkmm is not built with the 'accessibility' USE flag"
-		fi
-		epause 3s
-	fi
-}
-
-src_unpack(){
-	# abort if user answers no to distribution of vst enabled binaries
-	if use vst;then agree_vst || die "you can not distribute ardour with vst support" ;fi
-	
-	unpack "${P}.tar.bz2"
-	cd ${S}
-	
-	# hack to use the sys-lib for sndlib also
-	use sys-libs && epatch "${FILESDIR}/ardour-syslib_mod2.patch"
-	
-	# change template dir to not overwrite ardour1 stuff
-	sed -i -e 's:\(share\)/ardour/\(templates\):\1/ardour2/\2:g' templates/SConscript || die "changing template names failed"
-	add_ccache_to_scons
-	
-	# ################
-	# adjust files for vst support
-	if use vst;then
-		# delete vst question
-		touch ${S}/.personal_use_only
-
-		# fix vst header
-		sed -ie 's@vstsdk2.3/source/common/aeffectx.h@/usr/include/vst/aeffectx.h@g' libs/fst/SConscript || die "change vst-header location"
-		#symlink the include vst include files
-		vst_tmp_dir="vstsdk2.3/source/common"
-		mkdir -p ${vst_tmp_dir}
-		cp -r  /usr/include/vst/./ ${vst_tmp_dir}
-		zip -0r  libs/fst/vstsdk2.3.zip vstsdk2.3 &>/dev/null
-		#/usr/include/vst/ libs/fst
-		#ln -s ${DISTDIR}/vstsdk2.3.zip /libs/fst/
-	fi
-	# ###############
-}
-
-src_compile() {
-	# bug 99664
-#	cd ${S}/libs/glibmm2
-	#chmod a+x autogen.sh && ./autogen.sh || die "autogen failed"
-	#cd ${S}/libs/sigc++2/
-	#chmod a+x autogen.sh && ./autogen.sh || die "autogen failed"
-#	econf || die "configure failed"
-	
-	# Required for scons to "see" intermediate install location
-	mkdir -p ${D}
-	
-	local myconf=""
-	! use altivec; myconf="${myconf} ALTIVEC=$?"
-	! use debug; myconf="${myconf} ARDOUR_DEBUG=$?"
-	! use nls; myconf="${myconf} NLS=$?" 
-	! use vst; myconf="${myconf} VST=$?" 
-	! use sys-libs; myconf="${myconf} SYSLIBS=$?"
-	! use sse; myconf="${myconf} USE_SSE_EVERYWHERE=$? BUILD_SSE_OPTIMIZATIONS=$?"
-	# static settings
-	myconf="${myconf} PREFIX=/usr KSI=0" # NLS=0"
-	einfo "${myconf}"
-
-	cd ${S}
-	scons ${myconf}	|| die "compilation failed"
-}
-
-src_install() {
-	scons DESTDIR="${D}" install || die "make install failed"
-	if use vst;then
-		newbin vst/ardour_vst.exe.so ardour2.exe.so
-		newbin vst/ardour_vst ardour2
-		fperms 644 /usr/bin/ardour2.exe.so
-		sed -i -e'/^appname/'i"export\ LD_LIBRARY_PATH=\"/usr/lib/ardour2/:\$LD_LIBRARY_PATH\"" ${D}/usr/bin/ardour2
-
-		# fix ardour file_name
-		sed -i -e 's@ardour_vst@ardour2@' ${D}/usr/bin/ardour2
-	else
-		# fix ardour path
-		sed -i -e 's:'${D}'::g' ${D}/usr/bin/ardour2
-	fi
-
-	cd DOCUMENTATION/
-	for i in `find -iname 'CVS'`;do rm -rf ${i};done
-	cd - &>/dev/null
-	dodoc  DOCUMENTATION/*
-}
-
-agree_vst() {
-	local ANSWER="no"
-	einfo "Are you building Ardour for personal use (rather than distribution to others)? [yes/no]: "
-	read ANSWER
-	if [ "$ANSWER" == "y" ] || [ "$ANSWER" == "yes" ];then
-		einfo "OK, VST support will be enabled"
-		# delete question from SConscript
-		#sed -i -e '/Make\ sure\ they/,/print\ \"OK,\ VST\ support\ will\ be\ enabled\"/d' "${S}"/SConstruct || die " failed to del vst question"
-	else
-		eerror "You cannot build Ardour with VST support for distribution to others"
-		eerror "It is a violation of several different licenses"
-	
-		eerror "use: USE=-vst emerge $P"
-		eerror "to disable vst support"
-		return 1
-	fi
-}

Modified: trunk/overlays/proaudio/media-sound/ardour/ardour-99992.ebuild
===================================================================
--- trunk/overlays/proaudio/media-sound/ardour/ardour-99992.ebuild	2007-12-14 20:51:40 UTC (rev 1031)
+++ trunk/overlays/proaudio/media-sound/ardour/ardour-99992.ebuild	2007-12-14 21:40:02 UTC (rev 1032)
@@ -12,7 +12,7 @@
 RESTRICT="nomirror"
 
 LICENSE="GPL-2"
-SLOT="1"
+SLOT="0"
 KEYWORDS=""
 IUSE="nls debug sse altivec sys-libs" #vst"
 

Deleted: trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.0.5
===================================================================
--- trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.0.5	2007-12-14 20:51:40 UTC (rev 1031)
+++ trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.0.5	2007-12-14 21:40:02 UTC (rev 1032)
@@ -1,3 +0,0 @@
-MD5 7ac25b5837284fcae2ab3cb6825dc369 ardour-2.0.5.tar.bz2 2777524
-RMD160 eb278fbd7121707b9b7d4dfbb1e2088ef36cb1d4 ardour-2.0.5.tar.bz2 2777524
-SHA256 976b87920a3bd481b06edcbc756d1c5425397286f9b2a14546705a1f60a60848 ardour-2.0.5.tar.bz2 2777524

Added: trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.0.5-r0
===================================================================
--- trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.0.5-r0	                        (rev 0)
+++ trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.0.5-r0	2007-12-14 21:40:02 UTC (rev 1032)
@@ -0,0 +1,2 @@
+RMD160 eb278fbd7121707b9b7d4dfbb1e2088ef36cb1d4 ardour-2.0.5.tar.bz2 2777524
+SHA256 976b87920a3bd481b06edcbc756d1c5425397286f9b2a14546705a1f60a60848 ardour-2.0.5.tar.bz2 2777524

Deleted: trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.1
===================================================================
--- trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.1	2007-12-14 20:51:40 UTC (rev 1031)
+++ trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.1	2007-12-14 21:40:02 UTC (rev 1032)
@@ -1,3 +0,0 @@
-MD5 18be414a37b832aae23c068ba9fcf8ab ardour-2.1.tar.bz2 2788128
-RMD160 70796eb07911c5301049fb2d2749cbaa7a04ba4d ardour-2.1.tar.bz2 2788128
-SHA256 160482d87d8eb2188481fc42d7f6442efe6bff38544a321a79e2e23a7aa9501b ardour-2.1.tar.bz2 2788128

Added: trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.1-r0
===================================================================
--- trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.1-r0	                        (rev 0)
+++ trunk/overlays/proaudio/media-sound/ardour/files/digest-ardour-2.1-r0	2007-12-14 21:40:02 UTC (rev 1032)
@@ -0,0 +1,3 @@
+MD5 18be414a37b832aae23c068ba9fcf8ab ardour-2.1.tar.bz2 2788128
+RMD160 70796eb07911c5301049fb2d2749cbaa7a04ba4d ardour-2.1.tar.bz2 2788128
+SHA256 160482d87d8eb2188481fc42d7f6442efe6bff38544a321a79e2e23a7aa9501b ardour-2.1.tar.bz2 2788128


Mail converted by MHonArc 2.6.19+ http://listengine.tuxfamily.org/